﻿@charset "UTF-8";
/* Original CSS from: aardvark.legs CSS Framework, http://fecklessmind.com/2009/01/23/how-to-reliable-css-forms/ */

:root {
    --core-color-light-45: #E5E8FF;
    --core-color-light-40: #CCD2FF;
    --core-color-light-30: #99A5FF;
    --core-color-light-20: #6678FF;
    --core-color-light-10: #334BFF; /* Old: #FF9100 */
    --core-color: #001EFF;
    --core-color-dark-10: #1428B8;
    --core-color-dark-20: #0F1E8A;
    --core-color-dark-30: #0A145C;
    --core-color-dark-40: #050A2E;
    --core-color-light-45-text: #FFFFFF;
    --core-color-light-40-text: #FFFFFF;
    --core-color-light-30-text: #FFFFFF;
    --core-color-light-20-text: #FFFFFF;
    --core-color-light-10-text: #FFFFFF;
    --core-color-light-text: #FFFFFF;
    --core-color-dark-10-text: #FFFFFF;
    --core-color-dark-20-text: #FFFFFF;
    --core-color-dark-30-text: #FFFFFF;
    --core-color-dark-40-text: #FFFFFF;
}

/* First, some basic resets, body styles, etc. */
form, label, legend {
    border: 0;
    margin: 0;
    outline: 0;
    padding: 0;
    background: transparent;
    vertical-align: baseline;
}

form {
    display: block;
    clear: both;
}

/* Here's our form stuff */
fieldset {
    clear: both;
    border: none;
    padding: 1em;
    background-color: #fff;
    margin: 0 0 1em 0;
}

legend {
    padding: 3em 0 1.286em;
    font-size: 1.167em;
    font-weight: 700;
    color: #4f6d64;
}

fieldset fieldset legend {
    padding: 0 0 1.5em;
    font-size: 1em;
}

* html legend {
    margin-left: -7px;
}
/* ie6 */
* + html legend {
    margin-left: -7px;
}
/* ie7 */

form .field, form .buttons, form .p {
    clear: both;
    margin: 0 0 1.5em;
}

    form .field label, form p label {
        display: block;
    }

form ul {
    margin: 0;
    padding: 0;
}

    form ul.fields {
        margin: 0 0 1.5em;
        padding: 0;
    }

        form ul.fields li {
            list-style-type: none;
            margin: 0;
        }

    form ul.inline li, form ul.inline label {
        display: inline;
    }

    form ul.inline li {
        padding: 0 .75em 0 0;
    }

input.radio, input.checkbox {
    vertical-align: top;
}

label, button, input.submit, input.image {
    cursor: pointer;
}

* html input.radio, * html input.checkbox {
    vertical-align: middle;
}
/* ie6 */
* + html input.radio, * + html input.checkbox {
    vertical-align: middle;
}
/* ie7 */

textarea {
    overflow: auto;
}

input.text, input.password, textarea, select {
    margin: 0;
    font-size: 1em;
    color: #10222b;
    vertical-align: bottom;
}

select {
    font-size: 1em;
}

input.text, input.password, textarea {
    border: 1px solid #4f6d64;
    padding: 5px;
    width: 200px;
    background: #E5E8FF;
}

.fieldNoPadding input.text {
    width: 300px;
}


/* vertical layout */
form.vertical .field label {
    margin-bottom: 5px;
}

/* horizontal layout */
form.horizontal .field {
    padding-left: 180px;
}

form.horizontal .fieldNoTextPadding {
    padding-left: 170px;
}

form.horizontal .fieldNoPadding {
    padding-left: 0;
}

form.horizontal .field label {
    display: inline;
    float: left;
    width: 180px;
    margin-left: -180px;
    margin-top: 5px;
}

    form.horizontal .field label.checkbox-label {
        float: none;
        margin-left: 5px;
    }

form.horizontal .field input.sub-field-input {
    margin-top: 5px;
}

p.caption {
    font-size: 0.8em;
    color: #999999;
    margin: 0;
    padding: 0;
}

form a:link, form a:visited {
    font-size: 0.9em;
    color: #999999;
    text-decoration: none;
}

form a:hover, form a:active {
    text-decoration: underline;
}

textarea {
    font-family: "Lucida Grande", Tahoma, Arial, Verdana, sans-serif;
}

input.text, input.password, textarea {
    width: 250px;
}

form div.fieldColumn {
    display: inline-block;
    padding-right: 10px;
}

    form div.fieldColumn select {
        /*width: 125px;*/
    }

span.field-validation-error {
    margin-left: 0.5em;
    color: #CC0000;
    font-size: 0.9em;
    position: relative;
    bottom: 5px;
}

form.vertical span.field-validation-error {
    /*   display: block; */
}

div.field fieldset, fieldset fieldset {
    padding: 0;
    margin: 0;
}

form ul {
    padding: 0;
    margin: 0 0 1em -20px;
}

form#addFlight button.submit {
    margin-left: 20px;
}

div.field.literalcontainer {
    height: 29px;
}

    div.field.literalcontainer span.field-validation-error {
        top: 5px;
        position: relative;
    }


div.literal {
    float: left;
    position: relative;
    top: 5px;
    width: 260px;
    /*    border: 0; margin: 0; outline: 0; padding: 0; background: transparent; vertical-align: baseline;*/
}

.bold {
    font-weight: bold;
}

ul.validation-summary-errors {
    list-style-type: none;
    color: #FF0000;
    padding-left: 0px;
    font-weight: bold;
}
